Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.auth
Class DBIdentityLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.security.auth.spi.UsernamePasswordLoginModule
              org.jboss.security.auth.spi.DatabaseServerLoginModule
                  org.jboss.portal.identity.auth.DBIdentityLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class DBIdentityLoginModule

extends org.jboss.security.auth.spi.DatabaseServerLoginModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.security.auth.spi.DatabaseServerLoginModule
`dsJndiName, principalsQuery, rolesQuery, suspendResume`

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, log, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`DBIdentityLoginModule()`

Method Summary
`protected java.security.Principal` | `createIdentity(java.lang.String username)` Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.
`protected java.security.acl.Group[]` | `getRoleSets()`
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)`

Methods inherited from class org.jboss.security.auth.spi.DatabaseServerLoginModule
`convertRawPassword, getUsersPassword`

Methods inherited from class org.jboss.security.auth.spi.UsernamePasswordLoginModule
`createPasswordHash, getCredentials, getIdentity, getUnauthenticatedIdentity, getUsername, getUsernameAndPassword, getValidateError, login, setValidateError, validatePassword`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, getUseFirstPass, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBIdentityLoginModule

    public DBIdentityLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `org.jboss.security.auth.spi.DatabaseServerLoginModule`

### getRoleSets

    protected java.security.acl.Group[] getRoleSets()
                                             throws javax.security.auth.login.LoginException

  Overrides:
    `getRoleSets` in class `org.jboss.security.auth.spi.DatabaseServerLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### createIdentity

    protected java.security.Principal createIdentity(java.lang.String username)
                                              throws java.lang.Exception

  Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.

  Overrides:
    `createIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD